Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAccessibleWidget

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.gui.QAccessible
                      com.trolltech.qt.gui.QAccessibleInterface
                          com.trolltech.qt.gui.QAccessibleObject
                              com.trolltech.qt.gui.QAccessibleWidget

All Implemented Interfaces:
  QtJambiInterface

    public class QAccessibleWidget

extends QAccessibleObject

The `QAccessibleWidget` class implements the `QAccessibleInterface` for QWidgets. This class is convenient to use as a base class for custom implementations of QAccessibleInterfaces that provide information about widget objects.

The class provides functions to retrieve the `parentObject()` (the widget's parent widget), and the associated `widget()`. Controlling signals can be added with `addControllingSignal()`, and setters are provided for various aspects of the interface implementation, for example `setValue()`, `setDescription()`, `setAccelerator()`, and `setHelp()`.

See also:
  `QAccessible`, and `QAccessibleObject`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QAccessibleInterface
`QAccessibleInterface.Target`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QAccessible
`QAccessible.Action, QAccessible.Event, QAccessible.Method, QAccessible.Relation, QAccessible.RelationFlag, QAccessible.Role, QAccessible.State, QAccessible.StateFlag, QAccessible.Text`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QAccessibleWidget(QWidget o)` Creates a `QAccessibleWidget` object for widget `w`.
`QAccessibleWidget(QWidget o, QAccessible.Role r)` Creates a `QAccessibleWidget` object for widget `w`.
`QAccessibleWidget(QWidget o, QAccessible.Role r, java.lang.String name)` Creates a `QAccessibleWidget` object for widget `w`.

Method Summary
`protected void` | `addControllingSignal(java.lang.String signal)` Registers `signal` as a controlling signal.
`protected QObject` | `parentObject()` Returns the associated widget's parent object, which is either the parent widget, or qApp for top-level widgets.
`protected void` | `setAccelerator(java.lang.String accel)` Sets the accelerator of this interface implementation to `accel`.
`protected void` | `setDescription(java.lang.String desc)` Sets the description of this interface implementation to `desc`.
`protected void` | `setHelp(java.lang.String help)` Sets the help of this interface implementation to `help`.
`protected void` | `setValue(java.lang.String value)` Sets the value of this interface implementation to `value`.
`protected QWidget` | `widget()` Returns the associated widget.

Methods inherited from class com.trolltech.qt.gui.QAccessibleInterface
`actionText, childAt, childCount, doAction, indexOfChild, invokeMethod, isValid, navigate, object, rect, relationTo, role, setText, state, supportedMethods, text, userActionCount`

Methods inherited from class com.trolltech.qt.gui.QAccessible
`isActive, queryAccessibleInterface, setRootObject, updateAccessibility`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QAccessibleWidget

    public QAccessibleWidget(QWidget o,
                             QAccessible.Role r)

  Creates a `QAccessibleWidget` object for widget `w`. `role` and `name` are optional parameters that set the object's role and name properties.

### QAccessibleWidget

    public QAccessibleWidget(QWidget o)

  Creates a `QAccessibleWidget` object for widget `w`. `role` and `name` are optional parameters that set the object's role and name properties.

### QAccessibleWidget

    public QAccessibleWidget(QWidget o,
                             QAccessible.Role r,
                             java.lang.String name)

  Creates a `QAccessibleWidget` object for widget `w`. `role` and `name` are optional parameters that set the object's role and name properties.

Method Detail

### addControllingSignal

    protected final void addControllingSignal(java.lang.String signal)

  Registers `signal` as a controlling signal.

  An object is a Controller to any other object connected to a controlling signal.

### parentObject

    protected final QObject parentObject()

  Returns the associated widget's parent object, which is either the parent widget, or qApp for top-level widgets.

### setAccelerator

    protected final void setAccelerator(java.lang.String accel)

  Sets the accelerator of this interface implementation to `accel`.

  The default implementation of `text()` returns the set value for the Accelerator text.

  Note that the object wrapped by this interface is not modified.

### setDescription

    protected final void setDescription(java.lang.String desc)

  Sets the description of this interface implementation to `desc`.

  The default implementation of `text()` returns the set value for the Description text.

  Note that the object wrapped by this interface is not modified.

### setHelp

    protected final void setHelp(java.lang.String help)

  Sets the help of this interface implementation to `help`.

  The default implementation of `text()` returns the set value for the Help text.

  Note that the object wrapped by this interface is not modified.

### setValue

    protected final void setValue(java.lang.String value)

  Sets the value of this interface implementation to `value`.

  The default implementation of `text()` returns the set value for the Value text.

  Note that the object wrapped by this interface is not modified.

### widget

    protected final QWidget widget()

  Returns the associated widget.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD